Subject: RE: [External] : bug#54173: 28.0.91; Training wheels for query-replace

From: Drew Adams <[email-masked]>
Date: Sun, 27 Feb 2022 16:11:33 +0000

> > > How about the below?
> > >
> > >   (‘y’/‘n’, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)
> >
> > I find this better than the status quo.  I've attached the patch.
> 
> Thanks.  Let's wait a bit to let others chime in and express their
> opinions.

Just a quick nit about the proposed prompt text.  (Not
commenting on the rest of your exchange; you seem to
be discussing it fruitfully.)

My comment on that text: The clauses separated by
commas each show a key followed by a brief description
of what the key does.  _Except_ for "`y'/`n'".  It's
not necessarily obvious what the y/n behaviors are.

And even if you think the y/n behaviors are obvious,
it's not so easy to parse the message, splitting it
properly at commas - especially given the inconsistent
treatment of y/n.

1. Consider adding at least some text after `y'/`n'
(maybe "replace this" or just "this" or just "here"?).

2. I wonder if it also might be clearer to drop the
quotes, add a colon, and perhaps to use a semicolon
or slash as separator:

(y/n: replace here / .: replace & exit / ^: back up / ?: help)

versus

(‘y’/‘n’ <what?>, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)

Just a suggestion, to consider both y/n action and
better separation.  You may well find other/better
ways to address those two questions.